Subject: HPR Encapsulations over Frame Relay and ATM

From: "Steven H. Berl" <[email-masked]>
Date: Wed, 06 Mar 1996 12:52:15 -0800

I'd like to re-raise some of the issues that Jim Cobban has raised in
the past about the encapsulations chosen for HPR over frame relay and
atm media.

My question is why do we want to remove the LLC header from
these encapsulations?

The only advantage I see to removing the LLC header is that the 3
bytes used for the header are saved. Is the overhead of these 3 bytes
really significant on these links?

I see 2 advantages of keeping the LLC header in the encapsulation for HPR.

1) The information in the header provides a convenient mechanism to multiplex
RTP and FID2 connections for multiple devices over a single VC (either
ATM or Frame relay). This allows the development of relatively simple
FRAD and "ATM-AD" devices that do not do ANR routing, but can greatly
reduce the cost of WAN connectivity.

2) Consistency between the encapsulations used for ISR and HPR
simplifies the implementation of a node that must support both.

Steve Berl
Cisco Systems, Inc.